---
branch: master
preset: "angular"
tagFormat: "${version}"
plugins:
  - "@semantic-release/commit-analyzer"
  - "@semantic-release/release-notes-generator"
  - "@semantic-release/changelog"
  - "@semantic-release/git"
  - "@semantic-release/github"

verifyConditions:
  - '@semantic-release/git'
  - "@semantic-release/github"
analyzeCommits:
  - path: "@semantic-release/commit-analyzer"
    releaseRules:
    - type: "feat"
      release: "patch"
    - type: "hotfix"
      release: "patch"
    - type: "patch"
      release: "patch"
    - type: "minor"
      release: "minor"
    - type: "breaking"
      release: "major"
generateNotes:
  - path: "@semantic-release/release-notes-generator"
    writerOpts:
      groupBy: "type"
      commitGroupsSort:
        - "feat"
        - "perf"
        - "fix"
      commitsSort: "header"
    types:
    - type: "feat"
    - section: "Features"
    # Tracked bug fix with a hotfix branch
    - type: "hotfix"
    - section: "Bug Fixes"
    # Uninmportent fix (CI testing, etc)
    - type: "fix"
    - hidden: true
    - type: "chore"
    - hidden: true
    - type: "docs"
    - hidden: true
    - type: "doc"
    - hidden: true
    - type: "style"
    - hidden: true
    - type: "refactor"
    - hidden: true
    - type: "perf"
    - hidden: true
    - type: "test"
    - hidden: true
    presetConfig: true
prepare:
  - path: "@semantic-release/git"
  - path: "@semantic-release/changelog"
    changelogFile: "docs/CHANGELOG.md"
publish:
  - path: "@semantic-release/github"

success:
  - "@semantic-release/github"

fail:
  - "@semantic-release/github"